Skip to content

Delete application access authorization record

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Cancel the application access authorization for users, groups, organizations or roles. If the input data does not exist, the returned data will not be processed with an error.

Method name

ManagementClient.revoke_application_access

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a DeleteApplicationPermissionRecordItem[]Yes-Authorization subject list, up to 10 items
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

DeleteApplicationPermissionRecordItem

NameTypeRequiredDescriptionSample value
targetTypestringYesSubject typeUSER
namespaceCodestringNoPermission group code, required when subject type is "ROLE"code1
targetIdentifierarrayYesSubject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE", the value should be role code; when subject type is "ORG", the value should be organization node ID. Maximum 50 entries.["6229ffaxxxxxxxxcade3e3d9"]

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.